Version 6.7.7 Source

Table Name: `tabBin`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `warehouse` | Link | Warehouse | Warehouse
2 | `item_code` | Link | Item Code | Item
3 | `reserved_qty` | Float | Reserved Quantity |
4 | `actual_qty` | Float | Actual Quantity |
5 | `ordered_qty` | Float | Ordered Quantity |
6 | `indented_qty` | Float | Quantity Requested for Purchase |
7 | `planned_qty` | Float | Planned Qty |
8 | `projected_qty` | Float | Projected Qty |
9 | `ma_rate` | Float | Moving Average Rate |
10 | `stock_uom` | Link | UOM | UOM
11 | `fcfs_rate` | Float | FCFS Rate |
12 | `valuation_rate` | Float | Valuation Rate |
13 | `stock_value` | Float | Stock Value |

### Controller

#### erpnext.stock.doctype.bin.bin

### Class Bin

Inherits from frappe.model.document.Document

get_first_sle (self)

No docs

update_qty (self, args)

No docs

update_stock (self, args, allow_negative_stock=False, via_landed_cost_voucher=False)

No docs

validate (self)

No docs

validate_mandatory (self)

No docs